/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package Ex1;

/**
 *
 * @author CS
 */
public class PieceWorker extends Employee {
    
    private double wage;
    private int pieces;
    
    public PieceWorker(String first, String last, 
      String ssn, int month, int day, int year, 
      double wage, int pieces  ){
        
      super( first, last, ssn, month, day, year);
      this.setPieces(pieces);
      this.setWage(wage);
      
    }

    public void setWage(double wage) {
        
        if(wage >= 0)
            this.wage = wage;
        else
            this.wage = 0;
    }
    
    public void setPieces(int pieces) {
        
        if(pieces >=0)
            this.pieces = pieces;
        else
            this.pieces = 0;  
    }

    public double getWage() {
        return wage;
    }

    public int getPieces() {
        return pieces;
    }
    
    @Override
    public double earnings(){
        return this.getPieces() * this.getWage();
    }
    
    @Override
    public String toString(){
        return super.toString() + " Wage: " + this.getWage()
                + " Pieces: " + this.getPieces();
    }
    
   @Override
   public void pay(){
       System.out.println("Payment for PieceWorker: " + this.getFirstName()
               + this.getLastName() + " with amount:" +
               this.earnings());
   }
    
}
